
EasyMercurial - Bug #527
Crash when merging branches
2012-10-19 05:25 PM - Luis Figueira

Status: New Start date: 2012-10-19
Priority: Urgent Due date:
Assignee: Chris Cannam % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 1.3
Description

EasyHG crashed while committing 2 merged branches. Using v 1.2.2 on OSX 10.7.5.

Stack Trace:

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   QtGui                             0x000000010077eb5b QGraphicsItem::ungrabMouse() + 11
1   org.easymercurial.EasyMercurial    0x000000010008752a UncommittedItem::activateMenu() + 794
2   org.easymercurial.EasyMercurial    0x0000000100088c68
UncommittedItem::mousePressEvent(QGraphicsSceneMouseEvent*) + 200
3   QtGui                             0x000000010079495c QGraphicsItem::sceneEvent(QEvent*) + 1180
4   QtGui                             0x00000001007b22d1 QGraphicsScenePrivate::sendEvent(QGraphicsItem*, QEvent*) + 273
5   QtGui                             0x00000001007b2c84 QGraphicsScenePrivate::sendMouseEvent(QGraphicsSceneMouseEvent*)
+ 1092
6   QtGui                             0x00000001007c8dcb
QGraphicsScenePrivate::mousePressEventHandler(QGraphicsSceneMouseEvent*) + 2075
7   QtGui                             0x00000001007c9031 QGraphicsScene::mousePressEvent(QGraphicsSceneMouseEvent*) + 97
8   QtGui                             0x00000001007c7d13 QGraphicsScene::event(QEvent*) + 1363
9   QtGui                             0x00000001001e639d QApplicationPrivate::notify_helper(QObject*, QEvent*) + 189
10  QtGui                             0x00000001001ed4de QApplication::notify(QObject*, QEvent*) + 2094
11  QtCore                            0x0000000100f8512c QCoreApplication::notifyInternal(QObject*, QEvent*) + 124
12  QtGui                             0x00000001001e669c qt_sendSpontaneousEvent(QObject*, QEvent*) + 44
13  QtGui                             0x00000001007e3c55 QGraphicsView::mousePressEvent(QMouseEvent*) + 805
14  org.easymercurial.EasyMercurial    0x000000010005f872 Panned::mousePressEvent(QMouseEvent*) + 50
15  QtGui                             0x000000010023d0ac QWidget::event(QEvent*) + 2844
16  QtGui                             0x00000001005b33bc QFrame::event(QEvent*) + 44
17  QtGui                             0x000000010063e937 QAbstractScrollArea::viewportEvent(QEvent*) + 23
18  QtGui                             0x00000001007e479b QGraphicsView::viewportEvent(QEvent*) + 123
19  QtGui                             0x0000000100640e10 QAbstractScrollAreaFilter::eventFilter(QObject*, QEvent*) + 48
20  QtCore                            0x0000000101079377 QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*,
QEvent*) + 151
21  QtGui                             0x00000001001e636e QApplicationPrivate::notify_helper(QObject*, QEvent*) + 142
22  QtGui                             0x00000001001eeb10 QApplication::notify(QObject*, QEvent*) + 7776
23  QtCore                            0x0000000100f8512c QCoreApplication::notifyInternal(QObject*, QEvent*) + 124
24  QtGui                             0x00000001001e669c qt_sendSpontaneousEvent(QObject*, QEvent*) + 44
25  QtGui                             0x000000010019c9e9 qt_mac_handleMouseEvent(void*, void*, QEvent::Type, Qt::MouseButton) +
2265
26  com.apple.AppKit                  0x00007fff937b80fc -[NSWindow sendEvent:] + 7430
27  QtGui                             0x000000010019451c -[QCocoaWindow sendEvent:] + 236
28  com.apple.AppKit                  0x00007fff937513a5 -[NSApplication sendEvent:] + 5593
29  QtGui                             0x0000000100197bda -[QNSApplication sendEvent:] + 74
30  com.apple.AppKit                  0x00007fff936e7a0e -[NSApplication run] + 555
31  QtGui                             0x00000001001a1864
QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 1588
32  QtCore                            0x0000000101078a04 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) +
68
33  QtCore                            0x0000000101078d24 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 180
34  QtCore                            0x000000010107a67c QCoreApplication::exec() + 188
35  org.easymercurial.EasyMercurial    0x0000000100004dbc main + 1068
36  org.easymercurial.EasyMercurial    0x0000000100004968 start + 52

Related issues:
Blocked by Bug # 558: Impossible to use vertical toolbar when built with new ... New 2012-12-11

History
#1 - 2012-10-25 01:53 PM - Luis Figueira

Same issue, new crash report:

Crashed Thread:  0  Dispatch queue: com.apple.main-thread

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x0000000000000078

VM Regions Near 0x78:
--> 
    __TEXT                 0000000100000000-000000010011d000 [ 1140K] r-x/rwx SM=COW 
/Applications/EasyMercurial.app/Contents/MacOS/EasyMercurial

Application Specific Information:
objc[13363]: garbage collection is OFF

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   QtGui                             0x000000010077eb5b QGraphicsItem::ungrabMouse() + 11
1   org.easymercurial.EasyMercurial    0x000000010008752a UncommittedItem::activateMenu() + 794
2   org.easymercurial.EasyMercurial    0x0000000100088c68 UncommittedItem::mousePressEvent(QGraphicsSceneMouseEvent*) + 200
3   QtGui                             0x000000010079495c QGraphicsItem::sceneEvent(QEvent*) + 1180
4   QtGui                             0x00000001007b22d1 QGraphicsScenePrivate::sendEvent(QGraphicsItem*, QEvent*) + 273
5   QtGui                             0x00000001007b2c84 QGraphicsScenePrivate::sendMouseEvent(QGraphicsSceneMouseEvent*) + 1092
6   QtGui                             0x00000001007c8dcb QGraphicsScenePrivate::mousePressEventHandler(QGraphicsSceneMouseEvent*) + 2075
7   QtGui                             0x00000001007c9031 QGraphicsScene::mousePressEvent(QGraphicsSceneMouseEvent*) + 97
8   QtGui                             0x00000001007c7d13 QGraphicsScene::event(QEvent*) + 1363
9   QtGui                             0x00000001001e639d QApplicationPrivate::notify_helper(QObject*, QEvent*) + 189
10  QtGui                             0x00000001001ed4de QApplication::notify(QObject*, QEvent*) + 2094
11  QtCore                            0x0000000100f8512c QCoreApplication::notifyInternal(QObject*, QEvent*) + 124
12  QtGui                             0x00000001001e669c qt_sendSpontaneousEvent(QObject*, QEvent*) + 44
13  QtGui                             0x00000001007e3c55 QGraphicsView::mousePressEvent(QMouseEvent*) + 805
14  org.easymercurial.EasyMercurial    0x000000010005f872 Panned::mousePressEvent(QMouseEvent*) + 50
15  QtGui                             0x000000010023d0ac QWidget::event(QEvent*) + 2844
16  QtGui                             0x00000001005b33bc QFrame::event(QEvent*) + 44
17  QtGui                             0x000000010063e937 QAbstractScrollArea::viewportEvent(QEvent*) + 23
18  QtGui                             0x00000001007e479b QGraphicsView::viewportEvent(QEvent*) + 123
19  QtGui                             0x0000000100640e10 QAbstractScrollAreaFilter::eventFilter(QObject*, QEvent*) + 48
20  QtCore                            0x0000000101079377 QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) + 151
21  QtGui                             0x00000001001e636e QApplicationPrivate::notify_helper(QObject*, QEvent*) + 142
22  QtGui                             0x00000001001eeb10 QApplication::notify(QObject*, QEvent*) + 7776
23  QtCore                            0x0000000100f8512c QCoreApplication::notifyInternal(QObject*, QEvent*) + 124
24  QtGui                             0x00000001001e669c qt_sendSpontaneousEvent(QObject*, QEvent*) + 44
25  QtGui                             0x000000010019c9e9 qt_mac_handleMouseEvent(void*, void*, QEvent::Type, Qt::MouseButton) + 2265
26  com.apple.AppKit                  0x00007fff92b8a0fc -[NSWindow sendEvent:] + 7430
27  QtGui                             0x000000010019451c -[QCocoaWindow sendEvent:] + 236
28  com.apple.AppKit                  0x00007fff92b233a5 -[NSApplication sendEvent:] + 5593
29  QtGui                             0x0000000100197bda -[QNSApplication sendEvent:] + 74
30  com.apple.AppKit                  0x00007fff92ab9a0e -[NSApplication run] + 555
31  QtGui                             0x00000001001a1864 QEventDispatcherMac::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 1588
32  QtCore                            0x0000000101078a04 QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) + 68
33  QtCore                            0x0000000101078d24 QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) + 180
34  QtCore                            0x000000010107a67c QCoreApplication::exec() + 188
35  org.easymercurial.EasyMercurial    0x0000000100004dbc main + 1068
36  org.easymercurial.EasyMercurial    0x0000000100004968 start + 52

#2 - 2012-10-29 08:34 AM - Chris Cannam
- Priority changed from Normal to Urgent

So just to get the process straight: You merged from a branch using the right-button menu Merge function, and then it crashed... when? While
refreshing the history view to reflect the merge?

Had you clicked anything else since selecting the menu option that invoked the merge?

#3 - 2012-12-11 05:38 PM - Chris Cannam

Build & test currently blocked on #558

#4 - 2013-01-28 01:39 PM - Chris Cannam
- Target version set to 1.3
